<?php
/**
 * Example to show how to use Identify, MBS
 * 
 * Simple site can identify user, Bill user, show debug info ect.
 * 
 * @package ExampleProject
 * @author Liutauras Rickus <lr@vero.lt>
 * 
 */

/**
 * Session start
 */
if( session_id()=="" ) {
	session_start();
}

if( $_SERVER['REMOTE_ADDR']=='192.168.1.39' && !empty($_SERVER['HTTP_X_FORWARDED_FOR']) ) {
	$_SERVER['REMOTE_ADDR'] = $_SERVER['HTTP_X_FORWARDED_FOR'];
}

ob_start();

/*
define('MBS_IDENTIFY_SOAP_URL',         'http://mbs.vero/soap/account');
define('MBS_IDENTIFY_URL',              'http://mbs.vero/identify');
define('MBS_BILL_SOAP_URL',             'http://mbs.vero/soap');
define('MBS_BILL_USER_REDIRECT_URL',    'http://mbs.vero/prepare');
define('MBS_SUBSCRIPTION_SOAP_URL',     'http://mbs.vero/soap/subscription');
*/
define('MBS_IDENTIFY_SOAP_URL',         'http://vpbill.cvs.vero.lt/soap/account');
define('MBS_IDENTIFY_URL',              'http://vpbill.cvs.vero.lt/identify');
define('MBS_BILL_SOAP_URL',             'http://vpbill.cvs.vero.lt/soap/wap1.1');
define('MBS_BILL_USER_REDIRECT_URL',    'http://vpbill.cvs.vero.lt/prepare');
define('MBS_BILL_REDIRECT_URL',         'http://vpbill.cvs.vero.lt/wap/bill');
define('MBS_SUBSCRIPTION_SOAP_URL',     'http://vpbill.cvs.vero.lt/soap/subscription');
define('MBS_SUBSCRIPTION_REGISTER_URL', 'http://vpbill.cvs.vero.lt/wap/register');
define('MBS_SUBSCRIPTION_UNREGISTER_URL', 'http://vpbill.cvs.vero.lt/wap/unregister');
define('MBS_TRANSPORT_TYPE', 'NUSOAP');
define('MBS_BILL_SOAP_VERSION', '1.1');
//define('MBS_IDENTIFY_TYPE', 'BOTH');

/**
 * Include Lib files
 */
include_once(dirname(dirname(__FILE__)).'/lib/Identify.class.php');
include_once(dirname(dirname(__FILE__)).'/lib/MBS.class.php');
include_once(dirname(dirname(__FILE__)).'/lib/SBBS.class.php');
include_once(dirname(dirname(__FILE__)).'/lib/SBBSNotify.class.php');

/**
 * Include modules
 */
include_once(dirname(__FILE__).'/modules/moduleLanguage.php');
include_once(dirname(__FILE__).'/modules/moduleDebug.php');
include_once(dirname(__FILE__).'/modules/moduleIdentify.php');
include_once(dirname(__FILE__).'/modules/moduleMbs.php');
include_once(dirname(__FILE__).'/modules/moduleSbbs.php');
include_once(dirname(__FILE__).'/modules/moduleSbbsNotify.php');

/**
 * Load Identify lib
 */
define('IDENTIFY_SERVICE_ID', 1);
define('IDENTIFY_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
define('IDENTIFY_SECRET_KEY', 'test');
$identify = new Identify(IDENTIFY_SERVICE_ID, IDENTIFY_SECRET_KEY, true, IDENTIFY_BACK_URL);
$identify->setDebug(DEBUG_LEVEL_HIGH);

/**
 * Load MBS(wap billing) lib
 *
 */
define('MBS_SERVICE_ID', 1);
define('MBS_CHANNEL_ID', 1);
define('MBS_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
define('MBS_SECRET_KEY', 'test');
$mbs = new MBS(MBS_SERVICE_ID, MBS_CHANNEL_ID, MBS_BACK_URL, MBS_SECRET_KEY);
$mbs->setDebug(DEBUG_LEVEL_HIGH);
/**
 * Load SBBS (Subscription) lib
 * Using MBS service for registration
 */
define('SBBS_MBS_SERVICE_ID', 2);
define('SBBS_MBS_CHANNEL_ID', 1);
define('SBBS_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
define('SBBS_SECRET_KEY', 'test');
$sbbs = new SBBS(SBBS_MBS_SERVICE_ID, SBBS_MBS_CHANNEL_ID, SBBS_BACK_URL, SBBS_SECRET_KEY);
$sbbs->setDebug(DEBUG_LEVEL_HIGH);

/**
 * Loda SBBSNotify Lib
 */
define('SBBS_SUBSCRIPTION_SERVICE_ID', 71);
define('SBBS_SUBSCRIPTION_SECRET_KEY', 'test');
$sbbs_notify = new SBBSNotify(SBBS_SUBSCRIPTION_SERVICE_ID, SBBS_SUBSCRIPTION_SECRET_KEY);

/**
 * Load languages module
 */
$languages = new ModuleLanguages();

/**
 * Load debug module and ask other modules to debug
 */
$debug = new ModuleDebug();
$debug->AddDebugItem( $identify );
$debug->AddDebugItem( $mbs );
$debug->AddDebugItem( $sbbs );
$debug->AddDebugItem( $languages );

/**
 * Load main modules
 */
$mbs_mod = new ModuleMbs($mbs);
$sbbs_mod = new ModuleSbbs($sbbs, $identify);
$sbbs_notify_mod = new ModuleSbbsNotify($sbbs_notify);
$identify_mod = new ModuleIdentify($identify);

/**
 * Call all actions
 */
$languages->parseAction();
$debug->parseAction();

$identify_mod->parseAction();
$mbs_mod->parseAction();
$sbbs_mod->parseAction();
$sbbs_notify_mod->parseAction();

echo '<?xml version="1.0" encoding="utf-8"?>';
?>
<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
	<title>Demo page</title>
<style type="text/css">
	.selected { font-weight: bold; }
	.bold { font-weight: bold;}
	.error {  color: #FF0000; }	
</style>
</head>
<body>
<?php
/**
 * Show templates
 */
$mbs_mod->showBlock();
$sbbs_mod->showBlock();
$identify_mod->showBlock();
$languages->showBlock();
$debug->showBlock();
?>
</body>
</html>