<?php
/**
 * The class responsable for debug output
 * Debug choose interface.
 * 
 * Example class
 * @package ExampleProject
 * @subpackage module
 * 
 * @author Liutauras Rickus <lr@vero.lt>
 *
 */

/**
 * ModuleDebug
 * 
 * @package ExampleProject
 * @subpackage module
 * @author Liutauras Rickus <lr@vero.lt>
 */
class ModuleDebug {
	
	/**
	 * Indicates in which parameter in $_SESSION holding selected language
	 *
	 * @var string
	 */
	var $param_debug = 'show_debug';
	
	/**
	 * Parameter change value name
	 *
	 * @var string
	 */
	var $param_change = 'set_val';	
	
	/**
	 * Items to listen
	 *
	 * @var Objects
	 */
	var $listen_items = array();
	
	/**
	 * Constructor
	 *
	 * @return ModuleDebug
	 */
	function ModuleDebug() {
		
	}
	
	/**
	 * Main action
	 *
	 */
	function parseAction() {
		switch ($_GET['act']) {
			case 'debug':
				$_SESSION[$this->param_debug] = $_REQUEST[$this->param_change];
				break;
		}
		return true;
	}
	
	/**
	 * Main Show template
	 *
	 */
	function showBlock() {
		$this->showSelect();
		$this->showErrors();
		if ( $_SESSION[$this->param_debug] > 0 ) {
			$this->showDebugInfo();
		}
	}
	
	/**
	 * Show choose debug interfase
	 *
	 */
	function showSelect() {
		$selected['debug'] = array( '0' => '',  '1' => '');
		$selected['debug'][$_SESSION[$this->param_debug]] = 'selected';
		
		?>
		<table>
		<tr>
			<td><div class="bold"><?php lang('debug');?></div>
			<div style="padding-left: 15px;">
			<a href="?act=debug&<?php echo $this->param_change?>=1" class="<?php echo $selected['debug'][1]; ?>"><?php lang('on');?></a> |
			<a href="?act=debug&<?php echo $this->param_change?>=0" class="<?php echo $selected['debug'][0]; ?>"><?php lang('off');?></a>
			</div>
		</tr>
		</table>
		<?php
	}
	
	/**
	 * Show error action
	 *
	 */
	function showErrors() {
		echo '<hr>';
		foreach ($this->listen_items as $item) {
			if (is_object($item) && method_exists($item, 'getError') && method_exists($item, 'isError') ) {
				if ($item->isError()) {
					echo '<h2 class="error">'.get_class($item).'</h2>';
					echo '<div class="error">'; print_r($item->getError()); echo '</div>';
				}
			}
		}
	}
	
	/**
	 * Show debug info of classes
	 *
	 */
	function showDebugInfo() {
		echo '<hr>';
		if ($_SESSION['debug']) {
			echo '<pre>'; print_r($_SESSION); echo '</pre>';
		}
		
		foreach ($this->listen_items as $item) {
			if (is_object($item) && method_exists($item, 'getDebug')) {
				echo '<h2>'.get_class($item).'</h2>';
				echo '<pre>'; print_r($item->getDebug()); echo '</pre>';
			}
		}
	}
	
	/**
	 * Add objects to debug
	 *
	 * @param Object $obj
	 */
	function AddDebugItem(&$obj) {
		$this->listen_items[] = &$obj;
	}
}
?>