<?php
/**
 * Example to show how to use Identify Lib. 
 * Show menu: makes identify user, unset user
 * 
 * Example class
 * @package ExampleProject
 * @subpackage module
 * 
 * @author Liutauras Rickus <lr@vero.lt>
 *
 */

/**
 * ModuleIdentify
 * 
 * @package ExampleProject
 * @subpackage module
 * @author Liutauras Rickus <lr@vero.lt>
 */
class ModuleIdentify {
	/**
	 * Identify object from Lib
	 *
	 * @var Identify
	 */
	var $identify = null;
	
	/**
	 * This action
	 *
	 * @var array
	 */
	var $actions = '';
	
	/**
	 * Constructor
	 *
	 * @param Identify $identify
	 * @return ModuleIdentify
	 */
	function ModuleIdentify(&$identify) {
		$this->identify = &$identify;
		// Parse $_GET['act'] parameter to 
		$this->actions = explode('.', $_REQUEST['act']);
		
	}
	
	/**
	 * Main action
	 *
	 * @return boolean
	 */
	function parseAction() {
		if ($this->actions[0] != 'ident') {
			return false;
		}
		
		switch ($this->actions[1]) {
			// Redirect user to identify service attach parameters act
			case 'ident':
				$identify_url = $this->identify->MakeIdentify(session_id(), array('act' => 'ident.back'));
				break;
			// Return from identify get user data
			case 'back':
				$_SESSION['user_id'] = $this->identify->getAccount();
				$actions[1] = 'ident';
				echo '<pre>'; print_r($_GET['testas']); echo '</pre>';
				
				break;
			// Empty session
			case 'unset':
				$this->identify->unsetUserData();
				unset($_SESSION['user_id']);
				break;
			default:			
		}
		return true;
	}
	
	/**
	 * Main template. Show links to :
	 *  - identify system 
	 *  - unset user data
	 *  - show user data
	 *
	 */
	function showBlock() {
		foreach ($this->actions as $key => $item) {
			$selected[$key][$item] = 'selected';
		}
		?>
		<table>
		<tr>
			<td><div class="bold"><?php lang('identify');?></div></td>
		</tr>
		<tr>
			<td>
				<table style="padding: 0 0 0 15px;">
					<tr>
						<td><a href="<?php echo $this->identify->MakeIdentifyUrl(session_id(), array('act' => 'ident.back') )?>" class="<?php echo $selected[1]['ident']; ?>"><?php lang('go_to_identify')?></a></td>
					</tr>
					<tr>
						<td><a href="?act=ident.ident" class="<?php echo $selected[1]['ident']; ?>"><?php lang('identify_user')?></a></td>
					</tr>
					<tr>
						<td><a href="?act=ident.unset" class="<?php echo $selected[1]['unset']; ?>"><?php lang('clean_user');?></a></td>
					</tr>
					<tr>
						<td><a href="?act=ident.this" class="<?php echo $selected[1]['this']; ?>"><?php lang('user_info');?></a></td>
					</tr>
					<tr>
						<td>
						<?php 
						if ($this->actions[0] == 'ident') {
							if ($this->actions[1] == 'ident') {
								lang('try_to_identify');
								if (is_object($this->identify) && $this->identify->isError()) {
									echo '<div class="error">'.$this->identify->getError().'</div>';
								}
							}
							$this->showUserInfo();
						}
						?>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		</table>
		<?php
		
	}
	
	/**
	 * Show user data from identify system
	 *
	 */
	function showUserInfo() {
		if ( $this->identify->getAccount() != 0 ) {
			?>
			<table>
				<tr>
                    <td><?php lang('user_country')?></td>
                    <td><?php echo $this->identify->getCountry();?></td>
                </tr>
                <tr>
                    <td><?php lang('user_lanugage')?></td>
                    <td><?php echo $this->identify->getUserLanguage();?></td>
                </tr>
                <tr>
                    <td><?php lang('operator_name')?></td>
                    <td><?php echo $this->identify->getOperatorName();?></td>
                </tr>
				<tr>
					<td><?php lang('account')?></td>
					<td><?php echo $this->identify->getAccount();?></td>
				</tr>
				<tr>
					<td><?php lang('operator_id')?></td>
					<td><?php echo $this->identify->getOperatorId();?></td>
				</tr>
				<tr>
					<td><?php lang('operator_msisdn')?></td>
					<td><?php echo $this->identify->getOperatorMSISDN();?></td>
				</tr>
				<tr>
                    <td><?php lang('account_type')?></td>
                    <td><?php echo $this->identify->getAccountType();?></td>
                </tr>
				<tr>
                    <td><?php lang('subscriber_ident')?></td>
                    <td><?php echo $this->identify->getSubscriberIdent();?></td>
                </tr>
                <tr>
                    <td><?php lang('subscriber_status')?></td>
                    <td><?php echo $this->identify->getSubscriberStatus();?></td>
                </tr>
                <tr>
                    <td><?php lang('subscriber_state')?></td>
                    <td><?php echo $this->identify->getSubscriberState();?></td>
                </tr>
			</table>
			<?php
		} else {
			lang('user_not_identify');
		}
	}
	
}
?>