<?php
/**
 * ISO 639-1 code of language
 * @package ExampleProject
 * @subpackage module
 * @author Liutauras Rickus <lr@vero.lt>
 */
$languages = array('LT', 'EN', 'LV', 'RU', 'ET');

/**
 * The class responsable for language choose and output of 
 * language choose interface.
 * 
 * Example class
 * @package ExampleProject
 * @subpackage module
 * 
 * @author Liutauras Rickus <lr@vero.lt>
 *
 */
class ModuleLanguages {
	
	/**
	 * Used language array
	 *
	 * @var array
	 */
	var $languages = array();
	
	/**
	 * Indicates in which parameter in $_SESSION holding selected language
	 *
	 * @var string
	 */
	var $param_lang = 'lang';
	
	/**
	 * Parameter change value name
	 *
	 * @var string
	 */
	var $param_change = 'set_val';
	
	/**
	 * Constructor
	 *
	 * @return borwsLanguages
	 */
	function ModuleLanguages() {
		global $languages;
		$this->languages = $languages; 
		
		/**
		 * set default language if no language is set.
		 */
		if (empty($_SESSION[$this->param_lang])) {
			$_SESSION[$this->param_lang] = reset($this->languages);
		}		
	}
	
	/**
	 * By $_GET['act'] deside that to do
	 *
	 */
	function parseAction() {
		switch ($_GET['act']) {
			case 'lang':
				$_SESSION[$this->param_lang] = $_REQUEST[$this->param_change];
				break;
		}
	}
	
	/**
	 * Show main block
	 *
	 */
	function showBlock() {
		$selected['lang'][strtoupper($_SESSION[$this->param_lang])] = 'selected';
		?>
		<div class="bold"><?php lang('choose_lang');?></div>
		<table>
			<tr>
				<td>
				<div style="padding-left: 15px;">
				<?php foreach ($this->languages as $item) { ?>
				<a href="?act=lang&<?php echo $this->param_change.'='.$item;?>" class="<?php echo $selected['lang'][$item]; ?>"><?php echo $item;?></a> |
				<?php } ?>
				</td>
			</tr>
		</table>
		<?php
	}
	
	function _getDebug() {
		return 'selected language: '.$_SESSION[$this->param_lang];
	}
}

/**
 * Language constatns
 */
$languages_constants = array(

	'identify' => array(
		'lt' => 'Identifikavimas',
		'en' => 'Identify',
	),

	'mbs' => array(
		'lt' => 'MBS mokėjimas',
		'en' => 'MBS billing',
	),

	'choose_lang' => array(
		'lt' => 'Kalbos pasirinkimas',
		'en' => 'Choose language',
	),

	'debug' => array(
		'en' => 'Debug',
	),

	'on' => array(
		'lt' => 'Įjungti',
		'en' => 'ON',
	),
	
	'off' => array(
		'lt' => 'Išjungti',
		'en' => 'OFF',
	),
	
	'user_identify' => array(
		'lt' => 'Vartotojas identifikuotas account_id:',
		'ne' => 'Identifyed user account_id:',
	),
	
	'user_not_identify' => array(
		'lt' => 'Ne mobilus vartotojas',
		'en' => 'Not mobile user',
	),

	'identify_user' => array(
		'lt' => 'Identifikuoti vartotoją',
		'en' => 'Identify user',
	),
	'clean_user' => array(
		'lt' => 'Nullinti vartotoją',
		'en' => 'Unset user',
	),
	'user_info' => array(
		'lt' => 'Vartotojo informacija',
		'en' => 'User info',
	),
	
	'try_to_identify' => array(
		'lt' => 'Bandoma identifikuoti vartotoją',
		'en' => 'Tyring to identify user',
	),
	
	'account' => array(
		'en' => 'Account id:',
		'lt' => 'Vartotojo id:',
	),
	
	'operator_name' => array(
		'en' => 'Operator name:',
		'lt' => 'Operatoriaus pavadinimas:',
	),
	
	'operator_id' => array(
		'en' => 'Operator ID:',
		'lt' => 'Operatoriaus identifikatorius:',
	),
	
	'operator_msisdn' => array(
		'en' => 'Operator MSIDN:',
		'lt' => 'Telefono numeris:',
	),
	
	'account_type' => array(
        'en' => 'Account payment type:',
        'lt' => 'Vartotojo mokėjimo tipas:',
    ),
	
	'user_lanugage' => array(
		'en' => 'User lanugage:',
		'lt' => 'Vartotojo naudojama kalba:',
	),
	
	'user_country' => array(
		'en' => 'User country:',
		'lt' => 'Vartotojo šalis:',
	),
	
	'subscriber_ident' => array(
        'en' => 'Subscriber identifier:',
        'lt' => 'Prenumeratoriaus identifikatorius:',
    ),
    
    'subscriber_status' => array(
        'en' => 'Subscriber status:',
        'lt' => 'Prenumeratoriaus būsena:',
    ),
    
    'subscriber_state' => array(
        'en' => 'Subscriber state:',
        'lt' => 'Prenumeratoriaus tiksli būsena:',
    ),
    
    'donate' => array(
        'en' => 'Donate',
        'lt' => 'Aukoti',
    ),

	'buy_things' => array(
		'en' => 'Buy',
		'lt' => 'Pirkti',
	),
	
	'buy' => array(
		'en' => 'Buy',
		'lt' => 'Pirkti',
	),
	
	'transaction_list' => array(
		'en' => 'Transaction List',
		'lt' => 'Tranzakciju sąrašas',
	),
	
	'detail' => array(
		'en' => 'detail',
		'lt' => 'detaliau',
	),
	
	'done' => array(
		'en' => 'Confirm (code is downloaded)',
		'lt' => 'Patvirtinimas (kodas gautas)',
	),
	
	'show_code' => array(
		'en' => 'Sending code for letter ',
		'lt' => 'Siunčiamas kodas raidės ',
	),
	
	'download' => array(
		'en' => 'Download',
		'lt' => 'Atsisiųsti',
	),
	
	'error' => array(
		'en' => 'Error',
		'lt' => 'Klaida',
	),	
	
	'go_to_identify' => array(
		'en' => 'Go to identify system',
		'lt' => 'Tiesiai į identifikavimą',
	),

	'sbbs' => array(
		'en' => 'SBBS (Subscription)',
		'lt' => 'SBBS (Prenumerata)',
	),
		
	'register' => array(
		'en' => 'Subscribe',
		'lt' => 'Registruoti',
	),

	'unregister' => array(
		'en' => 'Unsubscribe',
		'lt' => 'Išregistruoti',
	),
	
	'check_status' => array(
		'en' => 'Check user status',
		'lt' => 'Patikrinti vartotojo statusą',
	),
	
	'login' => array(
		'en' => 'Login',
		'lt' => 'Prisijungti',
	),
	
	'login_phone' => array(
		'en' => 'Phone number',
		'lt' => 'Telefono numeris',
	),
	
	'login_code' => array(
		'en' => 'Secrect code',
		'lt' => 'Slaptas kodas',
	),
	
	'login_error' => array(
		'en' => 'Bad login information',
		'lt' => 'Blogi prisijungimo duomenys',
	),
	
	'logout' => array(
		'en' => 'Logout',
		'lt' => 'Atsijungti',
	),

	'user_active' => array(
		'en' => 'User is active',
		'lt' => 'Vartotojas registruotas',
	),
	
	'' => array(
		'en' => 'Go to identify system',
		'lt' => 'Tiesiai į identifikavimą',
	),
	
);

/**
 * Change $lang_const for selectined language and echo it
 *
 * @param string $lang_const
 * @return string
 */
function lang( $lang_const ) {
	global $languages_constants;
	
	$lang = strtolower( $_SESSION['lang'] );
	
	$const = 'No lang identify for constant: '.$lang_const.' in language '.$lang;
	
	/**
	 * choose constant
	 */
	if (!empty($languages_constants[$lang_const])) {
		$const = $languages_constants[$lang_const][$lang];
		if (empty($const)) {
			$const = reset($languages_constants[$lang_const]);
		}
	}
	
	echo $const;
}
?>