<?php
/**
 * Raw WEB billing example (using redirect)
 * 
 * @see MBSLib/examples/simple/bank_bill.php
 *
 * @package RawExamples
 * @author Valdas Petrulis <vpe@vero.lt>
 */

include_once(dirname(__FILE__).'/../../lib/Bank.class.php');

// Inicijuojame WEB apmokėjimų biblioteką
define('MBS_SERVICE_ID', 70646);
define('MBS_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
define('MBS_SECRET_KEY', 'test-test-test-test');
$bank = new Bank(MBS_SERVICE_ID, MBS_SECRET_KEY, MBS_BACK_URL);

// Apmokėjimo pabaiga ir GET rasti teisingi duomenys
if (isset($_GET['after_bill']) && $transaction=$bank->getBillInformation()) {
	// Tranzakcija sėkmingai apmokėta
    if ($transaction['status']=='commit') {
		/** ... cia suteikiama paslauga ... **/
	    $paslauga_suteikta = true;
	
	    echo sprintf("Jūs paaukojote %.2f %s", $transaction['price']/100, $transaction['currency']);
	// Tranzakcija neapmokėta
	} else {
	    echo "Tranzakcija neapmokėta. ". $bank->getStatusDescription($transaction['state']);
	}
}

echo '<br/><a href="'. $bank->getBillUrl(array('after_bill' => 'yes'), time(), 100) .'" >Aukoti (1 Lt)<a/>';
echo '<br/><a href="'. $bank->getBillUrl(array('after_bill' => 'yes'), time(), 300) .'" >Aukoti (3 Lt)<a/>';
echo '<br/><a href="'. $bank->getBillUrl(array('after_bill' => 'yes'), time(), 1000) .'" >Aukoti (10 Lt)<a/>';

?>