<?php
/**
 * Raw Direct billing example (using SOAP service)
 * 
 * @see MBSLib/examples/simple/direct_bill_soap.php
 * @see MBSLib/examples/simple/notify_direct.php
 *
 * @package RawExamples
 * @author Valdas Petrulis <vpe@vero.lt>
 */

include_once(dirname(__FILE__).'/../../lib/Direct.class.php');

// Inicijuojame Direct apmokėjimų biblioteką
define('MBS_SERVICE_ID', 60543);
define('MBS_DELIVERY_URL', 'http://'.$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF']).'/notify_direct.php');
$mbs = new Direct(MBS_SERVICE_ID, MBS_DELIVERY_URL);

// Kuriame apmokėjimo įvykį
$transaction = $mbs->billByMSISDN(
    '37069923232',
    'bite_lt',
    time(),
    'SMS',
    'SMS horoskopas - si savaite Jums bus labai sekminga'
);

// Tranzakcija sėkmingai apmokėta
if ( !$mbs->isError() && $mbs->isBilled($transaction['transaction_id']) ) {
	/** ... cia suteikiama paslauga ... **/
	$paslauga_suteikta = true;

	echo "Paslauga sėkmingai suteikta";
// Tranzakcija neapmokėta
} else {
	echo "Tranzakcija neapmokėta. ".$mbs->getError();
}
    
?>