<?php
/**
 * Raw subscribtion notify messages receiving example (SBBS subsystem for foreign countries)
 * 
 * @see MBSLib/examples/simple/notify_sbbs.php
 *
 * @package RawExamples
 * @author Valdas Petrulis <vpe@vero.lt>
 */

define('SBBS_SUBSCRIPTION_SERVICE_ID', 71);
define('SBBS_SUBSCRIPTION_SECRET_KEY', 'test');

include_once(dirname(__FILE__).'/../../lib/SBBSNotify.class.php');
$sbbs_notify = new SBBSNotify(SBBS_SUBSCRIPTION_SERVICE_ID, SBBS_SUBSCRIPTION_SECRET_KEY);

$notify_info = $sbbs_notify->getNotifyInfo();
if ($error=$sbbs_notify->getError()) {
	return $sbbs_notify->showResponseError($error);
}

// Saving got notification
$result = save_notify($notify_info);
if ($result===true) {
	if ( user_exist($notify_info['subscribe_service_id'], $notify_info['account_id'], $notify_info['ident']) ) {
		return $sbbs_notify->showResponse(true, 'User exist');
	} else {
		return $sbbs_notify->showResponse(false, 'User does not exist');
	}
} else {
	return $sbbs_notify->showResponseError($result);
}

/**
 * Pseuto method for notification saving
 *
 * @param array $notify Notification data array
 * 
 * @bool|string TRUE or error string
 */
function save_notify($notify) {
	//return 'Failed to save';
	return true;
}

/**
 * Pseudo method for subscriber existance checking
 *
 * @param int $service_id Subscription service id
 * @param int $account_id Account id
 * @param string $ident (optional) Extra account identifier for same service
 * 
 * @return bool
 */
function user_exist($service_id, $account_id, $ident='') {
	//return true;
	return false;
}

?>