<?php
/**
 * Raw SMS keyword notify message receiving example (user price depends on dynamic condition)
 * 
 * @see MBSLib/examples/simple/notify_sms2.php
 *
 * @package RawExamples
 * @author Valdas Petrulis <vpe@vero.lt>
 */

// Inicijuojame MBS funkcijų biblioteką
include_once(dirname(__FILE__).'/../../lib/MBS.class.php');
$mbs_base = new MBSBase();
$mbs_base->setSecretKey('test');

// Konfigūracija
$config['servers'] = array('213.226.139.33', '213.226.139.42', '213.226.139.43', '193.105.49.4', '193.105.49.5');

// Nusiskaitome pagrindinius SMS duomenis
$from = $_GET['From'];
$action = $_GET['action'];
$module = $_GET['ModuleName'];
$msisdn = $_GET['Msisdn'];
$number = $_GET['Number'];
$operator = $_GET['Operator'];
$sms = $_GET['Sms'];

// Nežinomo serverio GET parametrai
if ( !in_array( $_SERVER['REMOTE_ADDR'], $config['servers'] ) ) {
	echo 'Klaida: nezinomas serveris';
	exit();
}

// Sufalsifikuoti GET parametrai
if( !$mbs_base->verifyArrayHigh($_GET) ) {
    echo 'Klaida: siuntejas ne MBS';
    exit();
}

// Paslaugos logika
list($keyword, $credits) = explode(' ', $sms);
switch ($action) {
    // Gautas sms
	case 'sms':
        // Prasome apmokestinti pagal dinamine salyga
		if( is_numeric($credits) ) {
            $response = array('BILL', $credits, 'LTL');
        // Netvarkingas SMS tekstas
		} else {
        	$response = array('ERROR', 'Nenurodete kiek kreditu pirkti');
        }
    break;
    
    // Gautas apmokestinimo rezultatas
	case 'delivery':
        /** ... cia suteikiama paslauga ... **/
        $paslauga_suteikta = true;
        
		$response = array('SMS', 'Jus nusipirkote '.$credits.' kreditu');
    break;
}

// Paslaugos atsakymas vartotojui
echo implode(';', array_map('urlencode', $response));

?>