<?php
/**
 * Raw subscribtion notify messages receiving example
 * 
 * @see MBSLib/examples/simple/notify_subscription.php
 *
 * @package RawExamples
 * @author Valdas Petrulis <vpe@vero.lt>
 */

// Inicijuojame MBS funkcijų biblioteką
include_once(dirname(__FILE__).'/../../lib/MBS.class.php');
$mbs_base = new MBSBase();
$mbs_base->setSecretKey('test');

// Konfigūracija
$config['servers'] = array('213.226.139.33', '213.226.139.42', '213.226.139.43', '193.105.49.4', '193.105.49.5');

if ( in_array( $_SERVER['REMOTE_ADDR'], $config['servers'] ) ) {
	if( $mbs_base->verifyArrayHigh($_GET) ) {
		// Nusiskaitome pagrindinius pranesimo duomenis
		$action = $_GET['action'];
		$mbs_service_id = $_GET['serviceID'];
		$mbs_account_id = $_GET['mbs_account_id'];
		$mbs_account_phone = $_GET['mbs_account_phone'];
		
		// Paslaugos logika
		switch ($action) {
			case 'register':
			case 'resume':
				/** ... cia vartotojui suteikiama VIP prieiga ... **/
				$response = array('OK');
			break;

			case 'unregister':
			case 'remove':
			case 'suspend':
				/** ... cia vartotojui sustabdoma VIP prieiga ... **/
				$response = array('OK');
			break;

			case 'pay':
			case 'renew':
				/** ... cia renkama statistika, kiek ivyko sekmingu pratesimu (VIP prieiga jau turetu butu suteikta) ... **/
				$response = array('OK');
			break;

			default:
				$response = array('ERROR', 'Nezinomas pranesimo tipas');
			break;
		}
	// Sufalsifikuoti GET parametrai
	} else {
		$response = array('ERROR', 'Siuntejas ne MBS');
	}
// Nežinomo serverio GET parametrai
} else {
	$response = array('ERROR', 'Nezinomas serveris');
}

// Paslaugos atsakymas vartotojui
echo implode(';', array_map('urlencode', $response));

?>