<?php
/**
 * Raw WAP billing example (using redirect)
 * 
 * @see MBSLib/examples/simple/wap_bill.php
 *
 * @package RawExamples
 * @author Karolis Tamutis <kt@vero.lt>
 * @author Valdas Petrulis <vpe@vero.lt>
 */

session_start();
include_once(dirname(__FILE__).'/../../lib/MBS.class.php');

// Inicijuojame WAP apmokėjimų biblioteką
define('MBS_SERVICE_ID', 1);
define('MBS_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
define('MBS_SECRET_KEY', 'test');
$mbs = new MBS(MBS_SERVICE_ID, null, MBS_BACK_URL, MBS_SECRET_KEY);

// Apmokėjimo inicijavimas
if (!isset($_GET['after_bill'])) {
    // Siunčiame vartotoją i MBS 
    $mbs->BillRedirect(array(
	    'session_id' => session_id(), 
	    'after_bill' => 'yes',
	), time());
// Apmokėjimo pabaiga ir GET rasti teisingi duomenys
} else if ($transaction=$mbs->getBillInformation()) {
	// Tranzakcija sėkmingai apmokėta
	if ($transaction['status']=='commit') {
		/** ... cia suteikiama paslauga ... **/
		$paslauga_suteikta = true;

		// Apmokėjimo patvirtinimas per SOAP (nebūtina)
		if ($paslauga_suteikta) {
			$mbs->commitTransaction($transaction['transaction_id']);
			echo "Paslauga sėkmingai suteikta";
		// Apmokėjimo atšaukimas per SOAP (nebūtina)
		} else {
			$mbs->rollBackTransaction($transaction['transaction_id']);
            echo "Paslaugos suteikti nepavyko";
		}
	// Tranzakcija neapmokėta
	} else {
		echo "Tranzakcija neapmokėta. ".$mbs->getStatusDescription($transaction['state']);
	}
// Apmokėjimo pabaiga, bet GET duomenys neteisingi
} else {
	echo "Apmokėjimo klaida: ".$mbs->getError();
}

?>