<?php
/**
 * Raw WAP billing example (using SOAP service and redirect)
 * 
 * @see MBSLib/examples/simple/wap_bill_soap.php
 *
 * @package RawExamples
 * @author Šarūnas Davalga <sd@vero.lt>
 */

session_start();
include_once(dirname(__FILE__).'/../../lib/MBS.class.php');

// Inicijuojame WAP apmokėjimų biblioteką
define('MBS_SERVICE_ID', 1);
define('MBS_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
$mbs = new MBS(MBS_SERVICE_ID, null, MBS_BACK_URL);

// Apmokėjimo inicijavimas
if (!isset($_GET['after_bill'])) {
	// Siunčiame vartotoją i MBS
	$mbs->Bill(array(
        'session_id' => session_id(), 
        'after_bill' => 'yes',
        't' => '%t', // čia MBS įrašys tranzakcijos ID
        's' => '%s', // čia MBS įrašys paslaugos ID
        'op' => '%n', // čia MBS įrašys operatoriaus ID
        'a' => '%a', // čia MBS įrašys vartotojo ID
	));
// Apmokėjimo pabaiga
} else {
	// Tranzakcija sėkmingai apmokėta
	if ($mbs->isBilled($_GET['t']) ) {
		/** ... cia suteikiama paslauga ... **/
		$paslauga_suteikta = true;

		// Apmokėjimo patvirtinimas per SOAP (nebūtina)
		if ($paslauga_suteikta) {
			$mbs->commitTransaction($_GET['t']);
			echo "Paslauga sėkmingai suteikta";
		// Apmokėjimo atšaukimas per SOAP (nebūtina)
		} else {
			$mbs->rollBackTransaction($_GET['t']);
			echo "Paslaugos suteikti nepavyko";
		}
    // Tranzakcija neapmokėta
	} else {
		echo "Tranzakcija neapmokėta";
	}
}
    
?>