<?php
/**
 * Raw identify example
 * 
 * @see MBSLib/examples/simple/wap_identify.php
 *
 * @package RawExamples
 * @author Šarūnas Davalga <sd@vero.lt>
 */

session_start();
include_once(dirname(__FILE__).'/../../lib/Identify.class.php');

// Inicijuojame MBS identifikavimo biblioteką
define('IDENTIFY_SERVICE_ID', 1);
define('IDENTIFY_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
define('IDENTIFY_SECRET_KEY', 'test');
$identify = new Identify(IDENTIFY_SERVICE_ID, IDENTIFY_SECRET_KEY, true, 'http://mbs.vero.lt/simple/wap_identify.php');

// Patikrinam ar gryžo vartotojas po identifikavimo
if (!$identify->isIdentified()) {
	// vartotojas bus nukreiptas i MBS identifikavimui
	$identify_url = $identify->MakeIdentify(session_id());
} else {
	// Ar pavyko identifikuoti vartotoją ir nėra klaidų
	if ( $identify->getAccount() != 0 && !$identify->isError()) {
		session_id($identify->getTransaction());
		echo '<pre>';
		print_r($identify->getUserInfo());
		echo '</pre>';
	} else {
		// Įvykus klaidai išvedama klaida
		echo $identify->getError();
		// Paruošiamas vartotojas pakartotiniam identifikavimui
		$identify->unsetUserData();
	}
}

?>