<?php
/**
 * Raw WAP registration example (using redirect)
 * 
 * @see MBSLib/examples/simple/wap_register.php
 *
 * @package RawExamples
 * @author Valdas Petrulis <vpe@vero.lt>
 */

session_start();
include_once(dirname(__FILE__).'/../../lib/Identify.class.php');
include_once(dirname(__FILE__).'/../../lib/SBBS.class.php');

// Inicijuojame MBS identifikavimo biblioteką
define('IDENTIFY_SERVICE_ID', 1);
define('IDENTIFY_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
define('IDENTIFY_SECRET_KEY', 'test');
$identify = new Identify(IDENTIFY_SERVICE_ID, IDENTIFY_SECRET_KEY, true, IDENTIFY_BACK_URL);

// Inicijuojame MBS apmokėjimų biblioteką
define('SBBS_MBS_SERVICE_ID', 2);
define('SBBS_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
define('SBBS_SECRET_KEY', 'test');
$sbbs = new SBBS(SBBS_MBS_SERVICE_ID, null, SBBS_BACK_URL, SBBS_SECRET_KEY);

// Identifikuojame vartotoją
if (!$identify->isIdentified()) {
    $identify->MakeIdentify(session_id(), array());
}

// Registracijos inicijavimas
if (!isset($_GET['after_register'])){
	// Registruojame, tik jei vartotojas dar nera registruotas
	if (!$identify->getSubscriberStatus()!='active') {
        // Čia vartotojas bus nukreipiamas į MBS registruotis
        $sbbs->registerRedirect(array(
            'session_id' => session_id(),
            'after_register' => 'yes',
        ), time());
	// Jau registruotas vartotojas
    } else {
        echo "Vartotojas jau buvote registruotas";
    }
// Registracijos pabaiga ir GET rasti teisingi duomenys
} else if ($transaction=$sbbs->getRegisterInformation()) {
	// Registracija sėkminga
    if ($transaction['subscriber_status']=='active' ) {
        echo 'Vartotojas sėkmingai užregistruotas';
    // Registracija nepavyko
    } else {
        echo 'Vartotojo užregistruoti nepavyko';
    }
// Registracijos pabaiga, bet GET duomenys neteisingi
} else {
    echo "Registracijos klaida: ".$sbbs->getError();
}

?>