<?php
/**
 * Raw WAP registration example (using SOAP service and redirect)
 * 
 * @see MBSLib/examples/simple/wap_register_soap.php
 *
 * @package RawExamples
 * @author Šarūnas Davalga <sd@vero.lt>
 */

session_start();
include_once(dirname(__FILE__).'/../../lib/Identify.class.php');
include_once(dirname(__FILE__).'/../../lib/SBBS.class.php');

// Inicijuojame MBS identifikavimo biblioteką
define('IDENTIFY_SERVICE_ID', 1);
define('IDENTIFY_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
define('IDENTIFY_SECRET_KEY', 'test');
$identify = new Identify(IDENTIFY_SERVICE_ID, IDENTIFY_SECRET_KEY, true, IDENTIFY_BACK_URL);

// Inicijuojame SBBS apmokėjimų biblioteką
define('SBBS_MBS_SERVICE_ID', 2);
define('SBBS_BACK_URL', 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF']);
$sbbs = new SBBS(SBBS_MBS_SERVICE_ID, null, SBBS_BACK_URL);

// Identifikuojame vartotoją
if (!$identify->isIdentified()) {
	$identify->MakeIdentify(session_id(), array());
}

// Registracijos inicijavimas
if (!isset($_GET['after_register'])) {
    // Registruojame, tik jei vartotojas dar nera registruotas
	if (!$sbbs->isActive($identify->getAccount())) {
        $sbbs->register(array(
            'session_id' => session_id(),
            'after_register' => 'yes',
            't' => '%t', // čia MBS įrašys tranzakcijos ID
	        's' => '%s', // čia MBS įrašys paslaugos ID
	        'op' => '%n', // čia MBS įrašys operatoriaus ID
	        'a' => '%a', // čia MBS įrašys vartotojo ID
        ));
    // Jau registruotas vartotojas
    } else {
        echo "Vartotojas jau buvote registruotas";
    }
// Registracijos pabaiga 
} else {
	// Registracija sėkminga
    if ($sbbs->isActive($identify->getAccount())) {
        echo 'Vartotojas sėkmingai užregistruotas';
        print_r($sbbs->GetInfo($identify->getAccount()));
    // Registracija nepavyko
    } else {
        echo 'Vartotojo užregistruoti nepavyko';
    }
}

?>